<ng-template #loader>
  <div>
    <layout-skeleton
      *ngFor="let skeleton of skeletonItemsLeft"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
  <div class="profile-info__right__loader">
    <layout-skeleton
      *ngFor="let skeleton of skeletonItemsRight"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>

<ng-container>
  <div class="profile-info">
    <ng-container *ngIf="!(isLoadingLoan$ | async); else loader">
      <ng-container *ngIf="loan$ | async as loan">
        <div class="profile-info__left">
          <layout-status [status]="loan?.status"></layout-status>
          <div class="ids">
            <p class="item item--bigger">
              <span class="item__title">
                {{ "LOAN_MANAGER.LOAN_PROFILE.INFO.LOAN_ID" | translate }}:
              </span>
              <span class="item__description">
                <b>
                  {{ loan?.reference }}
                </b>
              </span>
            </p>
            <ng-container
              *ngIf="(projectFamily$ | async) === PRODUCT_FAMILY.BNPL"
            >
              <p class="item">
                <span class="item__title">
                  {{ "LOAN_MANAGER.LOAN_PROFILE.INFO.MERCHANT" | translate }}:
                </span>
                <span class="item__description">
                  {{ loan?.merchant_display_name }}
                </span>
              </p>
              <div class="item--divider"></div>
            </ng-container>
            <p class="item">
              <span class="item__title">
                {{ "LOAN_MANAGER.LOAN_PROFILE.INFO.CUSTOMER_ID" | translate }}:
              </span>
              <span class="item__description">
                {{ loan?.customer_reference }}
              </span>
            </p>
          </div>
        </div>
        <div
          class="profile-info__right"
          [ngClass]="{
            'profile-info__right--extra-info':
              loan?.status === LOANS_STATUS.FROZEN && !!loan?.loan_freeze_info
          }"
        >
          <div class="dates">
            <p class="item">
              <span class="item__title">
                <b>
                  {{ "LOAN_MANAGER.LOAN_PROFILE.INFO.TAKEN_AT" | translate }}:
                </b>
              </span>
              <span class="item__description">
                {{ loan?.created_at | MODate }}
              </span>
            </p>
            <p class="item">
              <span class="item__title">
                <b>
                  {{
                    "LOAN_MANAGER.LOAN_PROFILE.INFO.MAX_DUE_DATE" | translate
                  }}:
                </b>
              </span>
              <span class="item__description">
                {{ loan?.maximum_payment_date | MODate }}
              </span>
            </p>
          </div>
          <div class="freeze-info" *ngIf="loan?.status === LOANS_STATUS.FROZEN">
            <div class="item--divider"></div>
            <p class="item" *ngIf="loan?.loan_freeze_info?.freeze_at">
              <span class="item__title">
                <b>
                  {{ "LOAN_MANAGER.LOAN_PROFILE.INFO.FROZEN_AT" | translate }}:
                </b>
              </span>
              <span class="item__description">
                {{ loan?.loan_freeze_info?.freeze_at | MODate }}
              </span>
            </p>
            <p class="item" *ngIf="loan?.loan_freeze_info?.days_frozen">
              <span class="item__title">
                <b>
                  {{
                    "LOAN_MANAGER.LOAN_PROFILE.INFO.DAYS_FRONZEN" | translate
                  }}:
                </b>
              </span>
              <span class="item__description">
                {{ loan?.loan_freeze_info?.days_frozen }}
                {{ "APP.DATES.DAYS" | translate | lowercase }}
              </span>
            </p>
            <p class="item" *ngIf="loan?.loan_freeze_info?.unfreeze_at">
              <span class="item__title">
                <b>
                  {{
                    "LOAN_MANAGER.LOAN_PROFILE.INFO.UNFROZEN_AT" | translate
                  }}:
                </b>
              </span>
              <span class="item__description">
                {{ loan?.loan_freeze_info?.unfreeze_at | MODate }}
              </span>
            </p>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>
</ng-container>
